#!/usr/bin/env python
"""
Centrality of Krackhardt social network example
"""
__author__ = """Aric Hagberg (hagberg@lanl.gov)"""
__date__ = "$Date: 2004/11/03 15:11:09 $"
__credits__ = """"""
__revision__ = "$Revision: 1.2 $"
#    Copyright (C) 2004 by 
#    Aric Hagberg <hagberg@lanl.gov>
#    Dan Schult <dschult@colgate.edu>
#    Pieter Swart <swart@lanl.gov>
#    Distributed under the terms of the GNU Lesser General Public License
#    http://www.gnu.org/copyleft/lesser.html

from NX import *

G=krackhardt_kite_graph()

print "Betweenness"
b=betweenness_centrality(G)
for v in G.nodes():
    print "%0.2d %5.3f"%(v,b[v])

print "Degree centrality"
d=degree_centrality(G)
for v in G.nodes():
    print "%0.2d %5.3f"%(v,d[v])

print  "Closeness centrality"
c=closeness_centrality(G)
for v in G.nodes():
    print "%0.2d %5.3f"%(v,c[v])
